Bug Hunting Session
Bug 93830 - PPTX import: DrawingML fallback of Vertical Picture List SmartArt is not imported correctly
Summary: PPTX import: DrawingML fallback of Vertical Picture List SmartArt is not impo...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-01 06:57 UTC by Andras Timar
Modified: 2016-10-25 19:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
bugdoc (PPTX) (62.95 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-09-01 06:57 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2015-09-01 06:57:45 UTC
Created attachment 118306 [details]
bugdoc (PPTX)

The attached bugdoc contains a Vertical Picture List SmartArt. LibreOffice imports the DrawingML fallback of SmartArt. However, textbox layout is not correct, textboxes overlap with images.
Comment 1 Commit Notification 2015-09-02 13:31:57 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc88a88caad591270760d947848ad0a032d32bdb

tdf#93830 txXfrm offset workaround works in rounded rectangle case as well

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-09-02 15:45:58 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dd6de340972b9a17517e27db9b5f598ab7d05bc5&h=libreoffice-5-0

tdf#93830 txXfrm offset workaround works in rounded rectangle case as well

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.